<?php

declare(strict_types=1);

namespace App\Broadcasting\Events;

use App\Broadcasting\Entity\WebsocketEventData;
use Illuminate\Broadcasting\Channel;

interface WebsocketEventInterface
{
    public function __construct(WebsocketEventData $dto);

    public function broadcastOn(): Channel;

    public function broadcastWith(): array;
}
